Index: public/assets/js/examples/pages/analytics-dashboard.js
===================================================================
--- public/assets/js/examples/pages/analytics-dashboard.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ public/assets/js/examples/pages/analytics-dashboard.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
@@ -0,0 +1,23 @@
+$(function () {
+    var start = moment().subtract(29, 'days');
+    var end = moment();
+
+    function cb(start, end) {
+        $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
+    }
+
+    $('#reportrange').daterangepicker({
+        startDate: start,
+        endDate: end,
+        ranges: {
+            'Today': [moment(), moment()],
+            'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
+            'Last 7 Days': [moment().subtract(6, 'days'), moment()],
+            'Last 30 Days': [moment().subtract(29, 'days'), moment()],
+            'This Month': [moment().startOf('month'), moment().endOf('month')],
+            'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
+        }
+    }, cb);
+
+    cb(start, end);
+});
Index: public/assets/js/examples/pages/calendar.js
===================================================================
--- public/assets/js/examples/pages/calendar.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ public/assets/js/examples/pages/calendar.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
@@ -0,0 +1,42 @@
+$(function () {
+    $(document).on('click', '.app-block .app-content .app-action .action-left input[type="checkbox"]', function () {
+        $('.app-lists ul li input[type="checkbox"]').prop('checked', $(this).prop('checked'));
+        if ($(this).prop('checked')) {
+            $('.app-lists ul li input[type="checkbox"]').closest('li').addClass('active');
+        } else {
+            $('.app-lists ul li input[type="checkbox"]').closest('li').removeClass('active');
+        }
+    });
+
+    $(document).on('click', '.app-lists ul li input[type="checkbox"]', function () {
+        if ($(this).prop('checked')) {
+            $(this).closest('li').addClass('active');
+        } else {
+            $(this).closest('li').removeClass('active');
+        }
+    });
+
+    $(document).on('click', '.app-block .app-content .app-content-body .app-lists ul.list-group li.list-group-item', function (e) {
+        if (!$(e.target).is('.custom-control, .custom-control *, a, a *')) {
+            $('.app-detail').addClass('show').one('webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend', function () {
+                $('.app-block .app-content .app-content-body .app-detail .app-detail-article').niceScroll().resize();
+            });
+        }
+    });
+
+    $(document).on('click', 'a.app-detail-close-button', function () {
+        $('.app-detail').removeClass('show');
+        return false;
+    });
+
+    $(document).on('click', '.app-sidebar-menu-button', function () {
+        $('.app-block .app-sidebar, .app-content-overlay').addClass('show');
+        // $('.app-block .app-sidebar .app-sidebar-menu').niceScroll().resize();
+        return false;
+    });
+
+    $(document).on('click', '.app-content-overlay', function () {
+        $('.app-block .app-sidebar, .app-content-overlay').removeClass('show');
+        return false;
+    });
+});
Index: public/assets/js/examples/pages/customers.js
===================================================================
--- public/assets/js/examples/pages/customers.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ public/assets/js/examples/pages/customers.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
@@ -0,0 +1,12 @@
+$(function () {
+    $(document).ready(function () {
+        $('#myTable').DataTable({
+            'columnDefs': [
+                {
+                    "orderable": false,
+                    "targets": 5
+                }
+            ]
+        });
+    });
+});
Index: public/assets/js/examples/pages/ecommerce-dashboard.js
===================================================================
--- public/assets/js/examples/pages/ecommerce-dashboard.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ public/assets/js/examples/pages/ecommerce-dashboard.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
@@ -0,0 +1,32 @@
+$(function () {
+    $('#recent-orders').DataTable({
+        lengthMenu: [5, 10],
+        "columnDefs": [{
+            "targets": 6,
+            "orderable": false
+        }]
+    });
+
+    var start = moment().subtract(29, 'days');
+    var end = moment();
+
+    function cb(start, end) {
+        $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
+    }
+
+    $('#reportrange').daterangepicker({
+        startDate: start,
+        endDate: end,
+        opens: 'left',
+        ranges: {
+            'Today': [moment(), moment()],
+            'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
+            'Last 7 Days': [moment().subtract(6, 'days'), moment()],
+            'Last 30 Days': [moment().subtract(29, 'days'), moment()],
+            'This Month': [moment().startOf('month'), moment().endOf('month')],
+            'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
+        }
+    }, cb);
+
+    cb(start, end);
+});
Index: public/assets/js/examples/pages/gallery.js
===================================================================
--- public/assets/js/examples/pages/gallery.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ public/assets/js/examples/pages/gallery.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
@@ -0,0 +1,49 @@
+$(function () {
+
+    $(window).on('load', function () {
+        var $container = $('.gallery-container');
+
+        $container.isotope({
+            filter: '*',
+            animationOptions: {
+                duration: 750,
+                easing: 'linear',
+                queue: false
+            }
+        });
+
+        $('.gallery-filter a').click(function () {
+            var $this = $(this);
+
+            $('.gallery-filter .active').removeClass('active');
+            $this.addClass('active');
+
+            var selector = $this.attr('data-filter');
+            $container.isotope({
+                filter: selector,
+                animationOptions: {
+                    duration: 300,
+                    easing: 'linear',
+                    queue: false
+                }
+            });
+            return false;
+        });
+    });
+
+    $('.image-popup-gallery-item').magnificPopup({
+        type: 'image',
+        gallery: {
+            enabled: true
+        },
+        zoom: {
+            enabled: true,
+            duration: 300,
+            easing: 'ease-in-out',
+            opener: function (openerElement) {
+                return openerElement.is('img') ? openerElement : openerElement.find('img');
+            }
+        }
+    });
+
+});
Index: public/assets/js/examples/pages/orders.js
===================================================================
--- public/assets/js/examples/pages/orders.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ public/assets/js/examples/pages/orders.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
@@ -0,0 +1,55 @@
+$(function () {
+    var table = $('#orders').DataTable({
+        'columnDefs': [
+            {
+                'targets': 0,
+                'className': 'dt-body-center',
+                'render': function (data, type, full, meta) {
+                    return '<div class="custom-control custom-checkbox">' +
+                        '<input type="checkbox" class="custom-control-input" id="customCheck' + meta.row + '">' +
+                        '<label class="custom-control-label" for="customCheck' + meta.row + '"></label>' +
+                        '</div>';
+                }
+            },
+            {
+                "orderable": false,
+                "targets": [0, 7]
+            }
+        ],
+        'order': [1, 'asc']
+    });
+
+    $('#orders-select-all').on('click', function () {
+        // Check/uncheck all checkboxes in the table
+        var rows = table.rows({'search': 'applied'}).nodes();
+        $('input[type="checkbox"]', rows)
+            .prop('checked', this.checked);
+        if (this.checked) {
+            $('input[type="checkbox"]', rows).closest('tr').addClass('tr-selected');
+        } else {
+            $('input[type="checkbox"]', rows).closest('tr').removeClass('tr-selected');
+        }
+    });
+
+    // Handle click on checkbox to set state of "Select all" control
+    $('#orders tbody').on('change', 'input[type="checkbox"]', function () {
+        // If checkbox is not checked
+        if (!this.checked) {
+            var el = $('#orders-select-all').get(0);
+            // If "Select all" control is checked and has 'indeterminate' property
+            if (el && el.checked && ('indeterminate' in el)) {
+                // Set visual state of "Select all" control
+                // as 'indeterminate'
+                el.indeterminate = true;
+            }
+        }
+    });
+
+    $('.custom-control-input').click(function () {
+        if ($(this).prop('checked')) {
+            $(this).closest('td').closest('tr').addClass('tr-selected');
+        } else {
+            $(this).closest('td').closest('tr').removeClass('tr-selected');
+        }
+    });
+});
Index: public/assets/js/examples/pages/product-detail.js
===================================================================
--- public/assets/js/examples/pages/product-detail.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ public/assets/js/examples/pages/product-detail.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
@@ -0,0 +1,17 @@
+$(document).ready(function () {
+    $('.slider-for').slick({
+        slidesToShow: 1,
+        slidesToScroll: 1,
+        arrows: false,
+        fade: true,
+        asNavFor: '.slider-nav'
+    });
+
+    $('.slider-nav').slick({
+        slidesToShow: 4,
+        slidesToScroll: 1,
+        asNavFor: '.slider-for',
+        centerMode: true,
+        focusOnSelect: true
+    });
+});
Index: public/assets/js/examples/pages/product-grid.js
===================================================================
--- public/assets/js/examples/pages/product-grid.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ public/assets/js/examples/pages/product-grid.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
@@ -0,0 +1,20 @@
+$(function () {
+    // Add to cart example
+    $(document).on('click', '.add-to-card', function () {
+        $(this)
+            .removeClass('btn-primary')
+            .addClass('btn-success')
+            .text('View Cart');
+    });
+
+    // Range slider example
+    $("#rangeSlider-example").ionRangeSlider({
+        type: "double",
+        min: 10,
+        max: 5000,
+        from: 2000,
+        to: 4000,
+        skin: "round",
+        prefix: '$'
+    });
+});
Index: public/assets/js/examples/pages/product-list.js
===================================================================
--- public/assets/js/examples/pages/product-list.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ public/assets/js/examples/pages/product-list.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
@@ -0,0 +1,20 @@
+$(function () {
+    // Add to cart example
+    $(document).on('click', '.add-to-card', function () {
+        $(this)
+            .removeClass('btn-primary')
+            .addClass('btn-success')
+            .text('View Cart');
+    });
+
+    // Range slider example
+    $("#rangeSlider-example").ionRangeSlider({
+        type: "double",
+        min: 10,
+        max: 5000,
+        from: 2000,
+        to: 4000,
+        skin: "round",
+        prefix: '$'
+    });
+})
Index: public/assets/js/examples/pages/project-grid.js
===================================================================
--- public/assets/js/examples/pages/project-grid.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ public/assets/js/examples/pages/project-grid.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
@@ -0,0 +1,9 @@
+$(function () {
+    $('.single-datepicker').daterangepicker({
+        opens: 'left'
+    });
+
+    $('.select2').select2({
+        placeholder: 'Select'
+    });
+});
Index: public/assets/js/examples/pages/project-list.js
===================================================================
--- public/assets/js/examples/pages/project-list.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ public/assets/js/examples/pages/project-list.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
@@ -0,0 +1,55 @@
+$(document).ready(function () {
+    var table = $('#project-list').DataTable({
+        'columnDefs': [
+            {
+                'targets': 0,
+                'className': 'dt-body-center',
+                'render': function (data, type, full, meta) {
+                    return '<div class="custom-control custom-checkbox">' +
+                        '<input type="checkbox" class="custom-control-input" id="customCheck' + meta.row + '">' +
+                        '<label class="custom-control-label" for="customCheck' + meta.row + '"></label>' +
+                        '</div>';
+                }
+            },
+            {
+                "orderable": false,
+                "targets": [0, 7]
+            }
+        ],
+        'order': [1, 'asc']
+    });
+
+    $(document).on('click', '#projects-select-all', function () {
+        // Check/uncheck all checkboxes in the table
+        var rows = table.rows({'search': 'applied'}).nodes();
+        $('input[type="checkbox"]', rows)
+            .prop('checked', this.checked);
+        if (this.checked) {
+            $('input[type="checkbox"]', rows).closest('tr').addClass('tr-selected');
+        } else {
+            $('input[type="checkbox"]', rows).closest('tr').removeClass('tr-selected');
+        }
+    });
+
+    // Handle click on checkbox to set state of "Select all" control
+    $('#projects tbody').on('change', 'input[type="checkbox"]', function () {
+        // If checkbox is not checked
+        if (!this.checked) {
+            var el = $('#projects-select-all').get(0);
+            // If "Select all" control is checked and has 'indeterminate' property
+            if (el && el.checked && ('indeterminate' in el)) {
+                // Set visual state of "Select all" control
+                // as 'indeterminate'
+                el.indeterminate = true;
+            }
+        }
+    });
+
+    $(document).on('click', '.custom-control-input', function () {
+        if ($(this).prop('checked')) {
+            $(this).closest('td').closest('tr').addClass('tr-selected');
+        } else {
+            $(this).closest('td').closest('tr').removeClass('tr-selected');
+        }
+    });
+});
Index: public/assets/js/examples/pages/projects-dashboard.js
===================================================================
--- public/assets/js/examples/pages/projects-dashboard.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ public/assets/js/examples/pages/projects-dashboard.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
@@ -0,0 +1,10 @@
+$(function () {
+    $('.slick-js').slick({
+        speed: 500,
+        arrows: false,
+        slidesToShow: 1,
+        slidesToScroll: 1,
+        autoplay: true,
+        autoplaySpeed: 2000
+    });
+});
Index: public/assets/js/examples/pages/user-list.js
===================================================================
--- public/assets/js/examples/pages/user-list.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ public/assets/js/examples/pages/user-list.js	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
@@ -0,0 +1,55 @@
+$(document).ready(function () {
+    var table = $('#user-list').DataTable({
+        'columnDefs': [
+            {
+                'targets': 0,
+                'className': 'dt-body-center',
+                // 'render': function (data, type, full, meta) {
+                //     return '<div class="custom-control custom-checkbox">' +
+                //         '<input type="checkbox" class="custom-control-input" id="customCheck' + meta.row + '">' +
+                //         '<label class="custom-control-label" for="customCheck' + meta.row + '"></label>' +
+                //         '</div>';
+                // }
+            },
+            {
+                "orderable": false,
+                "targets": []
+            }
+        ],
+        'order': [1, 'asc']
+    });
+
+//     $(document).on('click', '#user-list-select-all', function () {
+//         // Check/uncheck all checkboxes in the table
+//         var rows = table.rows({'search': 'applied'}).nodes();
+//         $('input[type="checkbox"]', rows)
+//             .prop('checked', this.checked);
+//         if (this.checked) {
+//             $('input[type="checkbox"]', rows).closest('tr').addClass('tr-selected');
+//         } else {
+//             $('input[type="checkbox"]', rows).closest('tr').removeClass('tr-selected');
+//         }
+//     });
+//
+//     // Handle click on checkbox to set state of "Select all" control
+//     $('#user-list tbody').on('change', 'input[type="checkbox"]', function () {
+//         // If checkbox is not checked
+//         if (!this.checked) {
+//             var el = $('#user-list-select-all').get(0);
+//             // If "Select all" control is checked and has 'indeterminate' property
+//             if (el && el.checked && ('indeterminate' in el)) {
+//                 // Set visual state of "Select all" control
+//                 // as 'indeterminate'
+//                 el.indeterminate = true;
+//             }
+//         }
+//     });
+//
+//     $(document).on('click', '.custom-control-input', function () {
+//         if ($(this).prop('checked')) {
+//             $(this).closest('td').closest('tr').addClass('tr-selected');
+//         } else {
+//             $(this).closest('td').closest('tr').removeClass('tr-selected');
+//         }
+//     });
+ });
